# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "neutralts"
version = "1.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Neutral TS template engine is a web template designed to work with any programming language via IPC and natively as library/crate in Rust."
homepage = "https://franbarinstance.github.io/neutralts/"
documentation = "https://franbarinstance.github.io/neutralts-docs/docs/neutralts/"
readme = "README.md"
keywords = [
    "webdev",
    "template",
    "engine",
    "templating",
    "handlebars",
]
categories = [
    "template-engine",
    "web-programming",
]
license = "Apache-2.0"
repository = "https://github.com/FranBarInstance/neutralts"

[lib]
name = "neutralts"
path = "src/lib.rs"

[[test]]
name = "test-bifs"
path = "tests/test-bifs.rs"

[[test]]
name = "test-injects_cache_false"
path = "tests/test-injects_cache_false.rs"

[[test]]
name = "test-injects_cache_true"
path = "tests/test-injects_cache_true.rs"

[[test]]
name = "test-performance"
path = "tests/test-performance.rs"

[[test]]
name = "test-utils"
path = "tests/test-utils.rs"

[dependencies.chrono]
version = "0.4.41"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.md-5]
version = "0.10.6"

[dependencies.pyo3]
version = "0.26.0"
features = []

[dependencies.rand]
version = "0.9.2"

[dependencies.regex]
version = "1.11.2"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.143"
features = ["preserve_order"]

[dependencies.sha2]
version = "0.10.9"
